<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\ParcelShop;

final class CParcelShop2PaymentsArray implements \JsonSerializable
{
    /**
     * @var \Gls\GlsPoland\AdePlus\ParcelShop\CParcelShop2Payment[]
     */
    private $items;

    public function getItems(): array
    {
        return $this->items;
    }

    public function withItems(CParcelShop2Payment $items): CParcelShop2PaymentsArray
    {
        $new = clone $this;
        $new->items = $items;

        return $new;
    }

    public function jsonSerialize()
    {
        return $this->items;
    }
}
